TourStep (gCube Guided Tour Widget 1.6.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.widgets.guidedtour.client.steps

## Class TourStep

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.widgets.guidedtour.client.steps.TourStep

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget
  Direct Known Subclasses:
    GCUBETemplate1Text1Image, GCUBETemplate1Text1ImageML, GCUBETemplate1Text2Image, GCUBETemplate1Text2ImageML, GCUBETemplate2Text2Image, GCUBETemplate2Text2ImageML

      public abstract class TourStep
      extends com.google.gwt.user.client.ui.Composite

  Version:
    1.1 FEB 7th 2012 This is the basic step
  Author:
    Massimiliano Assante ISTI-CNR

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.google.gwt.user.client.ui.HTML` | `textHtml`
    `protected com.google.gwt.user.client.ui.HTML` | `title`
    `protected com.google.gwt.user.client.ui.Image` | `topImage`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TourStep()`
    `TourStep(boolean showTitle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()`
    `String` | `getTitle()`
    `com.google.gwt.user.client.ui.HTML` | `getTitleElement()`
    `boolean` | `isShowTitle()`
    `void` | `setTextVerticalAlignment(VerticalAlignment align)` Specifies that the text's contents should be aligned to align value
    `protected abstract void` | `setTheBody()`
    `protected abstract void` | `setTheImage()`
    `protected abstract void` | `setTheTitle()`
    `void` | `switchLanguage(TourLanguage language)`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### title

          @UiField
          protected com.google.gwt.user.client.ui.HTML title

    - #### textHtml

          @UiField
          protected com.google.gwt.user.client.ui.HTML textHtml

    - #### topImage

          @UiField
          protected com.google.gwt.user.client.ui.Image topImage

  - ### Constructor Detail

    - #### TourStep

          public TourStep()

    - #### TourStep

          public TourStep(boolean showTitle)

  - ### Method Detail

    - #### setTheTitle

          protected abstract void setTheTitle()

    - #### setTheBody

          protected abstract void setTheBody()

    - #### setTheImage

          protected abstract void setTheImage()

    - #### switchLanguage

          public void switchLanguage(TourLanguage language)

    - #### getTitle

          public String getTitle()

      Overrides:
        `getTitle` in class `com.google.gwt.user.client.ui.UIObject`

    - #### commit

          public void commit()

    - #### setTextVerticalAlignment

          public void setTextVerticalAlignment(VerticalAlignment align)

      Specifies that the text's contents should be aligned to align value
      Parameters:
        `align` - ALIGN_TOP, ALIGN_MIDDLE, ALIGN_BOTTOM

    - #### isShowTitle

          public boolean isShowTitle()

      Returns:
        the showTitle

    - #### getTitleElement

          public com.google.gwt.user.client.ui.HTML getTitleElement()

Copyright © 2014. All Rights Reserved.